# -*- encoding: utf-8 -*-
# stub: highline 1.7.10 ruby lib

Gem::Specification.new do |s|
  s.name = "highline".freeze
  s.version = "1.7.10"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["James Edward Gray II".freeze]
  s.date = "2017-11-24"
  s.description = "A high-level IO library that provides validation, type conversion, and more for\ncommand-line interfaces. HighLine also includes a complete menu system that can\ncrank out anything from simple list selection to complete shells with just\nminutes of work.\n".freeze
  s.email = "james@graysoftinc.com".freeze
  s.extra_rdoc_files = ["README.rdoc".freeze, "INSTALL".freeze, "TODO".freeze, "Changelog.md".freeze, "LICENSE".freeze]
  s.files = [".gitignore".freeze, ".travis.yml".freeze, "AUTHORS".freeze, "COPYING".freeze, "Changelog.md".freeze, "Gemfile".freeze, "INSTALL".freeze, "LICENSE".freeze, "README.rdoc".freeze, "Rakefile".freeze, "TODO".freeze, "doc/.cvsignore".freeze, "examples/ansi_colors.rb".freeze, "examples/asking_for_arrays.rb".freeze, "examples/basic_usage.rb".freeze, "examples/color_scheme.rb".freeze, "examples/get_character.rb".freeze, "examples/limit.rb".freeze, "examples/menus.rb".freeze, "examples/overwrite.rb".freeze, "examples/page_and_wrap.rb".freeze, "examples/password.rb".freeze, "examples/repeat_entry.rb".freeze, "examples/trapping_eof.rb".freeze, "examples/using_readline.rb".freeze, "highline.gemspec".freeze, "lib/highline.rb".freeze, "lib/highline/color_scheme.rb".freeze, "lib/highline/compatibility.rb".freeze, "lib/highline/import.rb".freeze, "lib/highline/menu.rb".freeze, "lib/highline/question.rb".freeze, "lib/highline/simulate.rb".freeze, "lib/highline/string_extensions.rb".freeze, "lib/highline/style.rb".freeze, "lib/highline/system_extensions.rb".freeze, "lib/highline/version.rb".freeze, "setup.rb".freeze, "site/.cvsignore".freeze, "site/highline.css".freeze, "site/images/logo.png".freeze, "site/index.html".freeze, "test/string_methods.rb".freeze, "test/tc_color_scheme.rb".freeze, "test/tc_highline.rb".freeze, "test/tc_import.rb".freeze, "test/tc_menu.rb".freeze, "test/tc_simulator.rb".freeze, "test/tc_string_extension.rb".freeze, "test/tc_string_highline.rb".freeze, "test/tc_style.rb".freeze]
  s.homepage = "https://github.com/JEG2/highline".freeze
  s.licenses = ["Ruby".freeze]
  s.rdoc_options = ["--title".freeze, "HighLine Documentation".freeze, "--main".freeze, "README".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "3.0.8".freeze
  s.summary = "HighLine is a high-level command-line IO library.".freeze
  s.test_files = ["test/string_methods.rb".freeze, "test/tc_color_scheme.rb".freeze, "test/tc_highline.rb".freeze, "test/tc_import.rb".freeze, "test/tc_menu.rb".freeze, "test/tc_simulator.rb".freeze, "test/tc_string_extension.rb".freeze, "test/tc_string_highline.rb".freeze, "test/tc_style.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<code_statistics>.freeze, [">= 0"])
    else
      s.add_dependency(%q<code_statistics>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<code_statistics>.freeze, [">= 0"])
  end
end

